> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/rdm/knowledge-base/how-to-articles/broadcast-actions-in-ssh-sessions.md).

# Broadcast actions in SSH sessions

Use Broadcast actions in Remote Desktop Manager to send the same commands simultaneously across multiple active SSH terminal sessions.

{% tabs %}
{% tab title="Windows" %}
{% embed url="<https://youtu.be/9FrSyzRvw30>" %}

In Remote Desktop Manager, you can manage two or more active SSH sessions with ***Broadcast actions*** to send commands on all the sessions at the same time.

{% hint style="info" %}
An upgraded database by an administrator might be required.
{% endhint %}

1. Open at least two SSH sessions.
2. Right-click on any SSH tab, click ***Broadcast input***, then ***Add to broadcast*** to add one SSH session.
3. You can also select all the SSH sessions in the list by clicking ***Manage broadcast***.
4. You can now broadcast commands on all the sessions at the same time.
5. To remove a session from the broadcast, you can either bring the ***Manage broadcast*** window to uncheck the session, or on the specific SSH tab, right-click to bring the menu, click ***Broadcast input***, then ***Remove from broadcast***.

The actions described above are available in the ribbon of Remote Desktop Manager under ***Actions***.

| Broadcast all                    | Behavior                                       |
| -------------------------------- | ---------------------------------------------- |
| No existing broadcast entry      | Adds all entries to the broadcast.             |
| Existing broadcast entry/entries | Adds any entry not currently broadcasted.      |
| View switching                   | If enabled, switches to a pre-configured view. |

| **Remove all broadcasts** | Behavior                                                                  |
| ------------------------- | ------------------------------------------------------------------------- |
| Remove                    | Removes all entries from the broadcast if any are currently broadcasting. |

#### See also

* [Devolutions Academy – Broadcast to multiple SSH Terminal sessions](https://academy.devolutions.net/student/page/3049140-broadcast-to-multiple-ssh-terminal-sessions?curriculum_activity_id=4958537\&path_id=2628397\&sid=c1b84389-9fdc-47b6-a5bb-72682278cd62\&sid_i=0)
  {% endtab %}

{% tab title="macOS" %}
In Remote Desktop Manager macOS, you can manage two or more active SSH sessions with ***Broadcast actions*** to send commands on all the sessions at the same time.

{% hint style="info" %}
***An upgraded database***, by an administrator, might be required.
{% endhint %}

1\. Open at least two SSH sessions.

2. Right-click on any SSH tab, click ***Broadcast input***, then ***Add to broadcast*** to add one SSH session.
3. You can also select all the SSH sessions in the list by clicking ***Manage broadcast.***
4. You can now broadcast commands on all the sessions at the same time.
5. To remove a session from the broadcast, you can either bring the ***Manage broadcast*** window to uncheck the session, or on the specific SSH tab, right-click to bring the menu, click ***Broadcast input***, then ***Remove from broadcast***.

The actions described above are available in the ribbon of Remote Desktop Manager under ***Actions***.

| Broadcast all                    | Behavior                                       |
| -------------------------------- | ---------------------------------------------- |
| No existing broadcast entry      | Adds all entries to the broadcast.             |
| Existing broadcast entry/entries | Adds any entry not currently broadcasted.      |
| View switching                   | If enabled, switches to a pre-configured view. |

| **Remove all broadcasts** | Behavior                                                                  |
| ------------------------- | ------------------------------------------------------------------------- |
| Remove                    | Removes all entries from the broadcast if any are currently broadcasting. |

#### See also

* [Devolutions Academy – Broadcast to multiple SSH Terminal sessions](https://academy.devolutions.net/student/page/3049140-broadcast-to-multiple-ssh-terminal-sessions?curriculum_activity_id=4958537\&path_id=2628397\&sid=c1b84389-9fdc-47b6-a5bb-72682278cd62\&sid_i=0)
  {% endtab %}
  {% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/rdm/knowledge-base/how-to-articles/broadcast-actions-in-ssh-sessions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
